loci.formats.services

## Class MetakitServiceImpl

- java.lang.Object
- - loci.formats.services.MetakitServiceImpl

- All Implemented Interfaces:
    loci.common.services.Service, MetakitService

      public class MetakitServiceImpl
      extends java.lang.Object
      implements MetakitService

  Implementation of MetakitService for interacting with the OME Metakit library.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private ome.metakit.MetakitReader` | `reader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetakitServiceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `java.lang.String[]` | `getColumNames(int table)`
    `java.lang.String[]` | `getColumnNames(java.lang.String table)`
    `java.lang.Class[]` | `getColumnTypes(int table)`
    `java.lang.Class[]` | `getColumnTypes(java.lang.String table)`
    `int` | `getRowCount(int table)`
    `int` | `getRowCount(java.lang.String table)`
    `java.lang.Object[]` | `getRowData(int row, int table)`
    `java.lang.Object[]` | `getRowData(int row, java.lang.String table)`
    `int` | `getTableCount()`
    `java.lang.Object[][]` | `getTableData(int table)`
    `java.lang.Object[][]` | `getTableData(java.lang.String table)`
    `java.lang.String[]` | `getTableNames()`
    `void` | `initialize(loci.common.RandomAccessInputStream file)`
    `void` | `initialize(java.lang.String file)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### reader

          private ome.metakit.MetakitReader reader

  - ### Constructor Detail

    - #### MetakitServiceImpl

          public MetakitServiceImpl()

  - ### Method Detail

    - #### initialize

          public void initialize(java.lang.String file)
                          throws java.io.IOException

      Specified by:
        `initialize` in interface `MetakitService`
      Throws:
        `java.io.IOException`

    - #### initialize

          public void initialize(loci.common.RandomAccessInputStream file)

      Specified by:
        `initialize` in interface `MetakitService`

    - #### getTableCount

          public int getTableCount()

      Specified by:
        `getTableCount` in interface `MetakitService`

    - #### getTableNames

          public java.lang.String[] getTableNames()

      Specified by:
        `getTableNames` in interface `MetakitService`

    - #### getColumnNames

          public java.lang.String[] getColumnNames(java.lang.String table)

      Specified by:
        `getColumnNames` in interface `MetakitService`

    - #### getColumNames

          public java.lang.String[] getColumNames(int table)

      Specified by:
        `getColumNames` in interface `MetakitService`

    - #### getTableData

          public java.lang.Object[][] getTableData(java.lang.String table)

      Specified by:
        `getTableData` in interface `MetakitService`

    - #### getTableData

          public java.lang.Object[][] getTableData(int table)

      Specified by:
        `getTableData` in interface `MetakitService`

    - #### getRowData

          public java.lang.Object[] getRowData(int row,
                                               java.lang.String table)

      Specified by:
        `getRowData` in interface `MetakitService`

    - #### getRowData

          public java.lang.Object[] getRowData(int row,
                                               int table)

      Specified by:
        `getRowData` in interface `MetakitService`

    - #### getRowCount

          public int getRowCount(int table)

      Specified by:
        `getRowCount` in interface `MetakitService`

    - #### getRowCount

          public int getRowCount(java.lang.String table)

      Specified by:
        `getRowCount` in interface `MetakitService`

    - #### getColumnTypes

          public java.lang.Class[] getColumnTypes(int table)

      Specified by:
        `getColumnTypes` in interface `MetakitService`

    - #### getColumnTypes

          public java.lang.Class[] getColumnTypes(java.lang.String table)

      Specified by:
        `getColumnTypes` in interface `MetakitService`

    - #### close

          public void close()

      Specified by:
        `close` in interface `MetakitService`

Copyright © 2026 Open Microscopy Environment